<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Grid system</title>
        <link rel="stylesheet" href="../../../dist/css/plumcss.css">
        <link rel="stylesheet" href="../../../dist/css/plumcss_colors.css">
    </head>
    <body class="bg-grey-1">
        <div class="container col-16 py-8 tx-bluegrey-6 tx-14">

            <h1 class="-ml-3 mt-8">offset</h1>
            <div class="gs:grid mb-8">

                <div class="sm:col-23 md:col-20 lg:col-16 xl:col-12 xxl:col-8 ml-auto">
                    <div class="py-3 border-1 border-bluegrey-4 h-12 flex justify-center">
                        
                    </div>
                </div>
            </div>

            <div class="gs:grid gap-10 mb-8">
                <div class="col-1">
                    <div class="py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                        
                    </div>
                </div>
                <div class="col-1">
                    <div class="py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                        
                    </div>
                </div>
                <div class="col-1 sm:offset-1 md:offset-4 lg:offset-8 xl:offset-12 xxl:offset-14">
                    <div class="py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                        
                    </div>
                </div>
            </div>


            <h1 class="-ml-3 mt-8">Sistema grid - 24 columnas</h1>
            <div class="gs:grid mb-8">
                <div class="col py-3 border-1 border-bluegrey-4 h-12  flex justify-center px-10">
                    .col(auto)
                </div>
                <div class="col py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                    .col(auto)
                </div>
                <div class="col py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                    .col(auto)
                </div>
                <div class="col py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                    .col(auto)
                </div>
            </div>
            <div class="mb-8">
                <div class="gs:grid">
                    <div class="col-1 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-1
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-2 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-2
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-3 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-3
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-4 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-4
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-5 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-5
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-6 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-6
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-7 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-7
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-8 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-8
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-9 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-9
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-10 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-10
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-11 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-11
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-12 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-12
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-13 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-13
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-14 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-14
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-15 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-15
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-16 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-16
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-17 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-17
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-18 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-18
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-19 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-19
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-20 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-20
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-21 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-21
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-22 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-22
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-23 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-23
                    </div>
                </div>
                <div class="gs:grid">
                    <div class="col-24 py-3 border-1 border-bluegrey-4 h-12  flex justify-center">
                       .col-24
                    </div>
                </div>
            </div>

            <div class="-ml-3">
                <h1>Responsive</h1>
                <p>         
                    El responsive usa la metodología mobile-first usando el atributo min-width para cada consulta de medios
                </p>
                <p>media-queries por defecto(configurables desde sass)</p>
                <div class="mb-8">
                    <code> 
                        sm      :   540px <br>      
                        md      :   768px <br>      
                        lg      :   1024px <br>     
                        xl      :   1280px <br>
                    </code>
                </div>
            </div>
            <div class="gs:grid mb-8">
                <div class="md:col-8 xl:col-16 py-3 border-1 border-bluegrey-4 h-12 flex justify-center">
                    .md:col-8 , .xl:col-16
                </div>
                <div class="md:col-8 xl:col-8 py-3 border-1 border-bluegrey-4 h-12 flex justify-center">
                    .md:col-8 , .xl:col-8 
                </div>
            </div>

            <h1 class="mb-8 -ml-3">Grid gap</h1>
            <div class="gs:grid gap-0 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-1 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-2 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-3 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-4 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-5 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-6 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-7 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-8 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-9 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-10 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-11 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-12 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-13 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-14 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-15 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
            <div class="gs:grid gap-16 mb-10">
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5 mb-6 md:mb-0">
                        
                    </div>
                </div>
                <div class="md:col-8">
                    <div class="border-1 border-bluegrey-4 py-5">
                        
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>